lwIP 2.1.2 Lightweight IP stack

Data Fields
autoip Struct Reference

`#include <autoip.h>`

## Data Fields
ip4_addr_t | llipaddr
u8_t | state
u8_t | sent_num
u16_t | ttw
u8_t | lastconflict
u8_t | tried_llipaddr

## Detailed Description

AutoIP state information per netif

## Field Documentation

## ◆ lastconflict

u8_t autoip::lastconflict

ticks until a conflict can be solved by defending

## ◆ llipaddr

ip4_addr_t autoip::llipaddr

the currently selected, probed, announced or used LL IP-Address

## ◆ sent_num

u8_t autoip::sent_num

sent number of probes or announces, dependent on state

## ◆ state

u8_t autoip::state

current AutoIP state machine state

## ◆ tried_llipaddr

u8_t autoip::tried_llipaddr

total number of probed/used Link Local IP-Addresses

## ◆ ttw

u16_t autoip::ttw

ticks to wait, tick is AUTOIP_TMR_INTERVAL long

The documentation for this struct was generated from the following file:

- src/include/lwip/autoip.h